#!/bin/sh

cat << EOF
# THIS FILE IS MANAGED BY CDIST. DO NOT EDIT BY HAND.

# To troubleshoot and get more log info enable ldap debug logging in grafana.ini
# [log]
# filters = ldap:debug

[[servers]]
# Ldap server host (specify multiple hosts space separated)
host = "$LDAP_SERVER"
# Default port is 389 or 636 if use_ssl = true
port = $LDAP_SERVER_PORT
# Set to true if ldap server supports TLS
use_ssl = $LDAP_TLS
# Set to true if connect ldap server with STARTTLS pattern (create connection in insecure, then upgrade to secure connection with TLS)
start_tls = $LDAP_STARTTLS
# set to true if you want to skip ssl cert validation
ssl_skip_verify = false
# set to the path to your root CA certificate or leave unset to use system defaults
# root_ca_cert = "/path/to/certificate.crt"
# Authentication against LDAP servers requiring client certificates
# client_cert = "/path/to/client.crt"
# client_key = "/path/to/client.key"

# Search user bind dn
bind_dn = "$LDAP_BIND_DN"
# Search user bind password
# If the password contains # or ; you have to wrap it with triple quotes. Ex """#password;"""
bind_password = '$LDAP_BIND_PASSWORD'

# User search filter, for example "(cn=%s)" or "(sAMAccountName=%s)" or "(uid=%s)"
search_filter = "$LDAP_USER_SEARCH_FILTER"

# An array of base dns to search through
search_base_dns = ["$LDAP_USER_BASE"]

## For Posix or LDAP setups that does not support member_of attribute you can define the below settings
## Please check grafana LDAP docs for examples
group_search_filter = "$LDAP_GROUP_SEARCH_FILTER"
group_search_base_dns = ["$LDAP_GROUP_BASE"]
group_search_filter_user_attribute = "uid"

# Specify names of the ldap attributes your ldap uses
[servers.attributes]
name = "givenName"
surname = "sn"
username = "cn"
member_of = "memberOf"
email =  "email"

# Map ldap groups to grafana org roles
[[servers.group_mappings]]
group_dn = "$LDAP_ADMIN_GROUP"
org_role = "Admin"
# To make user an instance admin  (Grafana Admin) uncomment line below
grafana_admin = true
# The Grafana organization database id, optional, if left out the default org (id 1) will be used
# org_id = 1

#[[servers.group_mappings]]
#group_dn = "cn=users,ou=groups,dc=grafana,dc=org"
#org_role = "Editor"
#
#[[servers.group_mappings]]
## If you want to match all (or no ldap groups) then you can use wildcard
#group_dn = "*"
#org_role = "Viewer"
EOF
